<!DOCTYPE html>
<html lang="en">
  <head>
    <title>CRUD for Today</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
    <style>

        h1{       
            font-family: 'Raleway', sans-serif;
            font-size: 18px;
            font-display: bold;
            background-color: plum;
            text-align: center;
            font-weight: bold;
            padding: 5%;
            color: aliceblue;
        }
    
        h2{    
               
            font-family: 'Raleway', sans-serif;
            font-size: 12px;
            font-display: bold;
            background-color:rgb(87, 85, 85);
            text-align: left;
            font-weight: bold;
            padding: 5%;
            color: aliceblue;
        }
    
        .footer {
            
            
            left: 0;
            bottom: 0;
            width: 100%;
            background-color: plum;
            color: white;
            text-align: center;
    
        }
    
        .logo {
    
            text-align: center;
        }
        
    </style>
    
  </head>
  <body>
  
    <div class="container-fluid text-center">
      <div class="row content">
        <div class="col-sm-2 sidenav">
          <p><a href="#"></a></p>
          <p><a href="#"></a></p>
          <p><a href="#"></a></p>
        </div>
        <div class="col-sm-8 text-left">
          <h1>ToDoList App</h1>
          <form>
            <input id="input" type="text" />
            <button
              id="button"
              onClick="addtodo()"
              class="btn btn-primary"
              type="button"
            >
              TAMBAH
            </button>
          </form>
          <p></p>
          <form id="list"></form>
          <hr />
          <h3></h3>
          <p></p>
        </div>
        

    <div class=".footer">

        <div class="container-fluid">
            <!-- Control the column width, and how they should appear on different devices -->
    
            <br>
          <h1>
  
            ToDoList App
          </h1>
            <br>
    
        </div>
    <script>

      let list = [];
      let listElement = document.getElementById("list");
      let input = document.getElementById("input");
      let button = document.getElementById("button");

      function addtodo() {
        let value = input.value;
        let el = "";
        if (value) {
          list.push(value);
          if (list.length) {
            for (let i = 0; i < list.length; i++) {
              el +=
                "<p>" +
                list[i] +
                " <button id='delbutton' onClick=deltodo(" +
                i +
                ") class='btn btn-danger' type='button'>DELETE</button> <button id='editbutton' onClick=edittodo(" +
                i +
                ") class='btn btn-info' type='button'>EDIT</button> </p>";
            }
            localStorage.setItem("nama", JSON.stringify(list));
            listElement.innerHTML = el;
            
          }
        }
      }

      function deltodo(d) {
        list.splice(d, 1);
        let el = "";
        for (let i = 0; i < list.length; i++) {
              el +=
                "<p>" +
                list[i] +
                " <button id='delbutton' onClick=deltodo(" +
                i +
                ") class='btn btn-danger' type='button'>DELETE</button> <button id='editbutton' onClick=edittodo(" +
                i +
                ") class='btn btn-info' type='button'>EDIT</button> </p>";
            }
            localStorage.removeItem("nama",JSON.stringify(list));
            listElement.innerHTML = el;
      }

      function edittodo(u){
        let el = "";
        for (let i = 0; i < list.length; i++) {
            if (i == u){
                el +=
                "<p>" +
                list[i] +
                " <button id='delbutton' onClick=deltodo(" +
                i +
                ") class='btn btn-danger' type='button'>DELETE</button> <button id='editbutton' onClick=edittodo(" +
                i +
                ") class='btn btn-info' type='button'>EDIT</button> </p> <p> <form> <input id='changeinput' type='text'> <button id='editbutton' onClick=changetodo(" +
                i +
                ") class='btn btn-info' type='button'>EDIT</button>  </form>";
            } else {
              el +=
                "<p>" +
                list[i] +
                " <button id='delbutton' onClick=deltodo(" +
                i +
                ") class='btn btn-danger' type='button'>DELETE</button> <button id='editbutton' onClick=edittodo(" +
                i +
                ") class='btn btn-info' type='button'>EDIT</button> </p>";
            }
        }
        
        listElement.innerHTML = el;
      }

      function changetodo(c) {
        list[c] = document.getElementById("changeinput").value;
        let el = "";
        for (let i = 0; i < list.length; i++) {
              el +=
                "<p>" +
                list[i] +
                " <button id='delbutton' onClick=deltodo(" +
                i +
                ") class='btn btn-danger' type='button'>DELETE</button> <button id='editbutton' onClick=edittodo(" +
                i +
                ") class='btn btn-info' type='button'>EDIT</button> </p>";
            }
            localStorage.setItem("nama", JSON.stringify(list) );    
            listElement.innerHTML = el;
      }
    </script>
  </body>
</html>
